@ECHO OFF
REM Licensed Materials - Property of IBM
REM 
REM 5724-J10, 5724-N15
REM 
REM (C) Copyright IBM Corporation 2005, 2008. All Rights Reserved
REM 
REM US Government Users Restricted Rights- Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


REM Usage:   IRU_DeploymentPackageGenerator -data [workspace PATH] -project [project name] -softwareimageroot [source PATH] -replace
REM Example: IRU_DeploymentPackageGenerator -data workspace -project IRU2_1_1SampleWin -softwareimageroot "C:\source\path" -replace
REM Example: IRU_DeploymentPackageGenerator -data "C:\Program Files\IBM\Runtime21\SolutionEnabler\workspace" -project IRU2_1_1SampleWin -softwareimageroot "C:\source\path" -replace


REM -------------------------------
REM Generate the deployment package
REM -------------------------------

@setlocal
@REM Bootstrap values ...
call "%~dp0IRU_setupCmdLine.bat" %*

IF EXIST "%ECLIPSE_DIR%\startup.jar" (
	"%SE_DIR%\DJTJRE\bin\java" -Xj9 -verify -cp "%ECLIPSE_DIR%\startup.jar" org.eclipse.core.launcher.Main -configuration "%SE_DIR%\eclipseSupport\eclipse\configuration" -application com.ibm.jsdt.eclipse.headless.HeadlessGenerator -generateType deploymentpackage %*
) ELSE (
	"%ECLIPSE_DIR%\eclipsec.exe" -nosplash --launcher.suppressErrors -vm "%SE_DIR%\DJTJRE\bin\java" -configuration "%SE_DIR%\eclipseSupport\eclipse\configuration" -application com.ibm.jsdt.eclipse.headless.HeadlessGenerator -generateType deploymentpackage %*
)

@endlocal
