@ECHO OFF
REM Licensed Materials - Property of IBM
REM 
REM 5724-J10, 5724-N15
REM 
REM (C) Copyright IBM Corporation 2009. All Rights Reserved
REM 
REM US Government Users Restricted Rights- Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


REM Usage:   IRU_ISBDK_Package_Generator -data [workspace PATH] -project [project name] -target [target] -exportLocation [export PATH] -deploymentPackageLocationFile [deployment package location file]
REM Example: IRU_ISBDK_Package_Generator -data workspace -project Sample -target
REM Example: IRU_ISBDK_Package_Generator -data "C:\Program Files\IBM\ISBDK\1.0\SolutionEnabler\workspace" -project Sample -target SMART_BUSINESS_SLES_1.1.0 -exportLocation C:\tmp -deploymentPackageLocationFile c:\install_image


REM ------------------------
REM Generate the package
REM ------------------------

@setlocal
@REM Bootstrap values ...
call "%~dp0IRU_setupCmdLine.bat" %*

IF EXIST "%ECLIPSE_DIR%\startup.jar" (
	"%SE_DIR%\DJTJRE\bin\java"  -verify -cp "%ECLIPSE_DIR%\startup.jar" org.eclipse.core.launcher.Main -configuration "%SE_DIR%\eclipseSupport\eclipse\configuration" -application com.ibm.bbp.sdk.headless.builder %*
) ELSE (
	"%ECLIPSE_DIR%\eclipsec.exe" -nosplash --launcher.suppressErrors -vm "%SE_DIR%\DJTJRE\bin\java" -configuration "%SE_DIR%\eclipseSupport\eclipse\configuration" -application com.ibm.bbp.sdk.headless.builder %*
)
